classification
Title: dict() docs should display multiple signatures
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, ezio.melotti, python-dev
Priority: normal Keywords: easy, patch

Created on 2012-10-12 07:09 by chris.jerdonek, last changed 2012-10-26 16:16 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue-16206-1-default.patch chris.jerdonek, 2012-10-12 19:49
Messages (5)
msg172718 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-10-12 07:09
The documentation for dict() (for both the built-in function and the class constructor) should display multiple signatures as do dict.__doc__ and the documentation for, say, str().

Currently, the dict() documentation just has one signature:

dict([arg])

Something more in line with the docstring would be better, for example:

dict(mapping={})
dict(iterable)
dict(**kwargs)
msg172776 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-10-12 19:49
Attaching proposed patch.
msg172804 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-13 10:30
New changeset ed6da2a8361c by Chris Jerdonek in branch '3.2':
Issue #16206: Improve the documentation of the dict constructor.
http://hg.python.org/cpython/rev/ed6da2a8361c

New changeset 02de13d69149 by Chris Jerdonek in branch '3.3':
Issue #16206: Merge dict documentation improvements from 3.2.
http://hg.python.org/cpython/rev/02de13d69149

New changeset 392e09ba9feb by Chris Jerdonek in branch 'default':
Issue #16206: Merge dict documentation improvements from 3.3.
http://hg.python.org/cpython/rev/392e09ba9feb
msg172805 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-13 10:50
New changeset 5fc6f47974db by Chris Jerdonek in branch '2.7':
Issue #16206: Backport dict documentation improvements from 3.2.
http://hg.python.org/cpython/rev/5fc6f47974db
msg173858 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-26 16:16
New changeset 361beec678e1 by Ezio Melotti in branch '2.7':
#16206: Improve examples about dict construction.
http://hg.python.org/cpython/rev/361beec678e1

New changeset eb999002916c by Ezio Melotti in branch '3.2':
#16206: Improve examples about dict construction.
http://hg.python.org/cpython/rev/eb999002916c

New changeset 2c1fff6f8956 by Ezio Melotti in branch '3.3':
#16206: merge with 3.2.
http://hg.python.org/cpython/rev/2c1fff6f8956

New changeset 46ce82b4c1fa by Ezio Melotti in branch 'default':
#16206: merge with 3.3.
http://hg.python.org/cpython/rev/46ce82b4c1fa
History
Date User Action Args
2012-10-26 16:16:07python-devsetmessages: + msg173858
2012-10-13 10:51:31chris.jerdoneksetstatus: open -> closed
resolution: fixed
stage: resolved
2012-10-13 10:50:21python-devsetmessages: + msg172805
2012-10-13 10:30:35python-devsetnosy: + python-dev
messages: + msg172804
2012-10-12 19:49:54chris.jerdoneksetfiles: + issue-16206-1-default.patch
keywords: + patch
messages: + msg172776
2012-10-12 07:09:33chris.jerdonekcreate